%define module	Tree-DAG_Node
%define name	perl-%{module}
%define version	1.04
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Class for representing nodes in a tre
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/S/SB/SBURKE/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
This class encapsulates/makes/manipulates objects that represent nodes in a
tree structure. The tree structure is not an object itself, but is emergent
from the linkages you create between nodes. This class provides the methods for
making linkages that can be used to build up a tree, while preventing you from
ever making any kinds of linkages which are not allowed in a tree (such as
having a node be its own mother or ancestor, or having a node have two
mothers).

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-2mdk 
- rpmbuildupdate aware

* Mon Jan 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-1mdk
- first mdk release
